## openwebrx-master.zip

=== attic/docker/deb_based/Makefile ===
DATE=$(shell date +%F)
all:
	@docker build -t openwebrxplus-softmbe:$(DATE) -t openwebrxplus-softmbe .

run:
	@docker run --rm -h openwebrxplus-softmbe --name openwebrxplus-softmbe --device /dev/bus/usb -p 8073:8073 -v openwebrxplus-settings:/var/lib/openwebrx openwebrxplus-softmbe

admin:
	@docker exec -it openwebrxplus-softmbe /usr/bin/openwebrx admin adduser af

push:
	@docker tag openwebrxplus-softmbe:$(DATE) slechev/openwebrxplus-softmbe:$(DATE)
	@docker tag openwebrxplus-softmbe:$(DATE) slechev/openwebrxplus-softmbe:latest
	@docker push slechev/openwebrxplus-softmbe:$(DATE)
	@docker push slechev/openwebrxplus-softmbe

dev:
	@S6_CMD_ARG0=/bin/bash docker run -it --rm -p 8073:8073 --device /dev/bus/usb --name owrxp-build --entrypoint /bin/bash openwebrxplus-softmbe

=== debian/changelog ===
openwebrx (1.2.80) bullseye jammy; urgency=low

  * Added server-side background audio recording to MP3.
  * Audio recordings are shown at the "Files" page.
  * Audio recorder requires Linux "lame" package.
  * Sorted contents of "Files" page by creation time.
  * Sorted services in background decoding settings.
  * Moved mode requirements check from client to server.
  * Retaining underlying modulation on mode changes.
  * Fixed missing math import in toolbox.py.
  * Fixed typo in Northwood bookmarks.
  * Randomized web user agent string.
  * Updated NRSC5 Python library.

 -- Marat Fayzullin <luarvique@gmail.com>  Mon, 24 Mar 2025 16:12:00 +0000

openwebrx (1.2.79) bullseye jammy; urgency=low

  * Added configurable fax page length limit.
  * Added OWRX+ version to RepeaterBook agent string.
  * Shrunk SDRPlay rfgain_sel range to 0..27.
  * Refactored and improved web agents.
  * Added newer Yaesu radios to APRS (Geoffrey Phillips).
  * Fixed Leaflet geodesic line bugs (Stanislav Lechev).

 -- Marat Fayzullin <luarvique@gmail.com>  Fri, 14 Mar 2025 16:12:00 +0000

openwebrx (1.2.78) bullseye jammy; urgency=low

  * Randomized web refresh times for repeaters and receivers.
  * Introduced web refresh cutoff after several failures.
  * Added server lookup from callsigns to countries.
  * Added server lookup from MMSIs to countries.
  * Added more profiles to the default RTLSDR device.
  * Fixed NumericMapping bug.

 -- Marat Fayzullin <luarvique@gmail.com>  Fri, 28 Feb 2025 16:12:00 +0000

openwebrx (1.2.77) bullseye jammy; urgency=low

  * Refactored web data sources (EIBI, receivers, repeaters).
  * Fixed RepeaterBook updates to happen daily.
  * Fixed KiwiSDR receiver database updates.
  * Added aircraft and country lookup by ICAO ID (from TAR1090).
  * Added country and its flag to aircraft map bubbles.
  * Added OpenWebRX uptime display to Settings page.
  * Added Linux uptime display to Settings page.
  * Added receivers database update time to Settings page.

 -- Marat Fayzullin <luarvique@gmail.com>  Mon, 17 Jan 2025 16:12:00 +0000

openwebrx (1.2.76) bullseye jammy; urgency=low

  * Refactored SSTV decoder code.
  * Eliminated FFTW3 race condition in SSTV decoder.
  * Disabled AVT-90 SSTV mode due to quality concerns.
  * Fixed Scottie DX VIS code.
  * Improved CW skimmer sensitivity.
  * Not clearing CW skimmer when frequency changes.
  * Settings page shows EIBI schedule download time.
  * Settings page shows repeaters list download time.
  * Using degree sign for temperatures on the map.

 -- Marat Fayzullin <luarvique@gmail.com>  Mon, 20 Jan 2025 16:12:00 +0000

openwebrx (1.2.75) bullseye jammy; urgency=low

  * Added profile-specific transceiver rig control setting.
  * Added CLEAR button to CW skimmer.
  * Replaced ascent/descent symbols Chrome turned into emojis.
  * Removed backslash before underscore in 'freedv_rx'.
  * Now loading UI and audio settings separately.
  * Removed some FT8 debug messages.
  * Silenced CW skimmer audio.

 -- Marat Fayzullin <luarvique@gmail.com>  Fri, 3 Jan 2025 16:12:00 +0000

openwebrx (1.2.74) bullseye jammy; urgency=low

  * Added CWSkimmer decoder using csdr-cwskimmer tool.
  * Added UI.tuneBookmark(), UI.toggleScanner().
  * Fixed FLEX decoder to parse multiple capcodes.
  * Fixed several scanner bugs.
  * No longer translating EIBI CW bookmarks 800Hz down.

 -- Marat Fayzullin <luarvique@gmail.com>  Fri, 22 Nov 2024 16:12:00 +0000

openwebrx (1.2.73) bullseye jammy; urgency=low

  * Added frequency to recorded MP3 filenames.
  * Added 800Hz to newly created CW bookmarks.
  * Refactored frequency and modulation UI code.
  * Accounted for ACARS altitudes set to "ground".
  * Stripped whitespace from input strings.
  * Fixed SSL on newer Python3 versions.

 -- Marat Fayzullin <luarvique@gmail.com>  Mon, 4 Nov 2024 16:12:00 +0000

openwebrx (1.2.72) bullseye jammy; urgency=low

  * Added underlying modulation to bookmarks.
  * Added sanitizing bookmark contents.
  * Added bias-tee support for rtl_tcp [jeskko].
  * Added dependency on python3-distutils-extra.
  * Fixed Chrome bug opening "Settings" section.
  * Refactored bookmark editing mechanism.

 -- Marat Fayzullin <luarvique@gmail.com>  Mon, 28 Oct 2024 16:12:00 +0000

openwebrx (1.2.71) bullseye jammy; urgency=low

  * Added PD50, PD90, PD120, PD160, PD180, PD240, PD290 SSTV modes.
  * Added Wraase SC2-30, SC2-60, SC2-120 SSTV modes.
  * Added Scottie 3 and Scottie 4 SSTV modes (please test).
  * Added Martin 3 and Martin 4 SSTV modes (please test).
  * Added Robot 12 and Robot 24 SSTV modes (please test).
  * Added AVT-90 SSTV mode.
  * Added "Settings | General | External links" section.
  * Fixed FT8 call distances not hiding on Leaflet maps.
  * [ENTER] toggles receiver panel, [L] toggles log/chat.
  * Now marking SSTV BMPs with 0x73 at offset 7.

 -- Marat Fayzullin <luarvique@gmail.com>  Mon, 14 Oct 2024 16:12:00 +0000

openwebrx (1.2.70) bullseye jammy; urgency=low

  * Fixed flood of broken pipe errors when client disconnects.
  * Added ability to control external transceiver rigs.
  * Added geodesic call lines and distance to Leaflet maps.
  * Added tuning by squelch with [[]/[]] keys.
  * Squelch control now achieved with [{]/[}] keys.
  * Tuning step control done with [SHIFT]+[LEFT]/[RIGHT] keys.
  * Updated keyboard shortcuts help panel.

 -- Marat Fayzullin <luarvique@gmail.com>  Wed, 2 Oct 2024 16:12:00 +0000

openwebrx (1.2.69) bullseye jammy; urgency=low

  * Added [ALT]+[UP]/[DOWN] for volume control on MacOS.
  * Fixed an exception when any of the markers fail to load.
  * Fixed call arrows remaining after locator display disabled.
  * Fixed Chrome showing empty "Settings" UI section.
  * Fixed callsign linkification in FT8/FT4 modes.
  * Blocked keyboard shortcuts until settings are loaded.
  * Sorted digital modes inside combo box (by Richard Murnane).

 -- Marat Fayzullin <luarvique@gmail.com>  Mon, 16 Sep 2024 16:12:00 +0000



=== debian/control ===
Source: openwebrx
Maintainer: Marat Fayzullin <luarvique@gmail.com>
Section: hamradio
Priority: optional
Rules-Requires-Root: no
Standards-Version: 4.2.0
Build-Depends: debhelper (>= 11),
               dh-python,
               python3-all (>= 3.5),
               python3-setuptools
Homepage: https://www.openwebrx.de/
Vcs-Browser: https://github.com/luarvique/openwebrx
Vcs-Git: https://github.com/luarvique/openwebrx.git

Package: openwebrx
Architecture: all
Depends: adduser,
         python3 (>= 3.5),
         python3-pkg-resources,
         python3-distutils-extra,
	 owrx-connector (>= 0.6.5),
	 python3-csdr (>= 0.18.28),
         ${python3:Depends},
         ${misc:Depends}
Recommends: python3-digiham (>= 0.6),
            direwolf (>= 1.4),
            wsjtx,
            js8call,
            runds-connector (>= 0.2),
            hpsdrconnector,
            aprs-symbols,
            m17-demod,
            js8call,
            python3-js8py (>= 0.1),
            nmux (>= 0.18),
            codecserver (>= 0.1),
            msk144decoder,
            dump1090-fa-minimal,
            dumphfdl,
            dumpvdl2,
            acarsdec,
            rtl-433,
            extra-sdr-drivers,
            perseus-tools,
            dream-headless,
            codec2,
            redsea,
            python3-csdr-eti,
            python3-paho-mqtt,
            dablin,
            multimon-ng,
            imagemagick,
            nrsc5,
            libhamlib-utils,
            csdr-cwskimmer,
            lame
Description: multi-user web sdr
 Open source, multi-user SDR receiver with a web interface

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=openwebrx

%:
	dh $@ --with python3 --buildsystem=pybuild --with systemd

override_dh_strip_nondeterminism:
	dh_strip_nondeterminism -X.png

override_dh_builddeb:
	dh_builddeb -- -Zxz
